package icserror

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestGetModName(t *testing.T) {
	got := GetModName()
	assert.Equal(t, "icserror", got, "not expected value")

	g1 := NewIcsError("Test", 0)
	g2 := NewIcsError("Test", 0)
	assert.Equal(t, g1, g2, "not expected value")

	assert.Equal(t, g1.Equal(g2), true, "not expected value")
}
